.TH HG STATUS  "" "" ""
.SH NAME
hg status \- show changed files in the working directory
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg status [OPTION]... [FILE]...
.ft P
.fi
.SH DESCRIPTION
.sp
Show status of files in the repository. If names are given, only
files that match are shown. Files that are clean or ignored or
the source of a copy/move operation, are not listed unless
\-c/\-\-clean, \-i/\-\-ignored, \-C/\-\-copies or \-A/\-\-all are given.
Unless options described with "show only ..." are given, the
options \-mardu are used.
.sp
Option \-q/\-\-quiet hides untracked (unknown and ignored) files
unless explicitly requested with \-u/\-\-unknown or \-i/\-\-ignored.
.IP Note
.
\%\fBhg status\fP\: may appear to disagree with diff if permissions have
changed or a merge has occurred. The standard diff format does
not report permission changes and diff only reports changes
relative to one merge parent.
.RE
.sp
If one revision is given, it is used as the base revision.
If two revisions are given, the differences between them are
shown. The \-\-change option can also be used as a shortcut to list
the changed files of a revision from its first parent.
.sp
The codes used to show the status of files are:
.sp
.nf
.ft C
M = modified
A = added
R = removed
C = clean
! = missing (deleted by non\-hg command, but still tracked)
? = not tracked
I = ignored
  = origin of the previous file (with \-\-copies)
.ft P
.fi
.sp
The \-t/\-\-terse option abbreviates the output by showing only the directory
name if all the files in it share the same status. The option takes an
argument indicating the statuses to abbreviate: \(aqm\(aq for \(aqmodified\(aq, \(aqa\(aq
for \(aqadded\(aq, \(aqr\(aq for \(aqremoved\(aq, \(aqd\(aq for \(aqdeleted\(aq, \(aqu\(aq for \(aqunknown\(aq, \(aqi\(aq
for \(aqignored\(aq and \(aqc\(aq for clean.
.sp
It abbreviates only those statuses which are passed. Note that clean and
ignored files are not displayed with \(aq\-\-terse ic\(aq unless the \-c/\-\-clean
and \-i/\-\-ignored options are also used.
.sp
The \-v/\-\-verbose option shows information when the repository is in an
unfinished merge, shelve, rebase state etc. You can have this behavior
turned on by default by enabling the \fBcommands.status.verbose\fP option.
.sp
You can skip displaying some of these states by setting
\fBcommands.status.skipstates\fP to one or more of: \(aqbisect\(aq, \(aqgraft\(aq,
\(aqhistedit\(aq, \(aqmerge\(aq, \(aqrebase\(aq, or \(aqunshelve\(aq.
.sp
Template:
.sp
The following keywords are supported in addition to the common template
keywords and functions. See also \%\fBhg help templates\fP\:.
.INDENT 0.0
.TP
.B path
.
String. Repository\-absolute path of the file.
.TP
.B source
.
String. Repository\-absolute path of the file originated from.
Available if \fB\-\-copies\fP is specified.
.TP
.B status
.
String. Character denoting file\(aqs status.
.UNINDENT
.sp
Examples:
.INDENT 0.0
.IP \(bu 2
.
show changes in the working directory relative to a
changeset:
.sp
.nf
.ft C
hg status \-\-rev 9353
.ft P
.fi
.IP \(bu 2
.
show changes in the working directory relative to the
current directory (see \%\fBhg help patterns\fP\: for more information):
.sp
.nf
.ft C
hg status re:
.ft P
.fi
.IP \(bu 2
.
show all changes including copies in an existing changeset:
.sp
.nf
.ft C
hg status \-\-copies \-\-change 9353
.ft P
.fi
.IP \(bu 2
.
get a NUL separated list of added files, suitable for xargs:
.sp
.nf
.ft C
hg status \-an0
.ft P
.fi
.IP \(bu 2
.
show more information about the repository status, abbreviating
added, removed, modified, deleted, and untracked paths:
.sp
.nf
.ft C
hg status \-v \-t mardu
.ft P
.fi
.UNINDENT
.sp
Returns 0 on success.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-A,  \-\-all
.
show status of all files
.TP
.B \-m,  \-\-modified
.
show only modified files
.TP
.B \-a,  \-\-added
.
show only added files
.TP
.B \-r,  \-\-removed
.
show only removed files
.TP
.B \-d,  \-\-deleted
.
show only missing files
.TP
.B \-c,  \-\-clean
.
show only files without changes
.TP
.B \-u,  \-\-unknown
.
show only unknown (not tracked) files
.TP
.B \-i,  \-\-ignored
.
show only ignored files
.TP
.B \-n,  \-\-no\-status
.
hide status prefix
.TP
.BI \-t,  \-\-terse \ <VALUE>
.
show the terse output (EXPERIMENTAL) (default: nothing)
.TP
.B \-C,  \-\-copies
.
show source of copied files (DEFAULT: ui.statuscopies)
.TP
.B \-0,  \-\-print0
.
end filenames with NUL, for use with xargs
.TP
.BI \-\-rev \ <REV[+]>
.
show difference from revision
.TP
.BI \-\-change \ <REV>
.
list the changed files of a revision
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.B \-S,  \-\-subrepos
.
recurse into subrepositories
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.UNINDENT
.sp
[+] marked option can be specified multiple times
.SH ALIASES
.sp
.nf
.ft C
st
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
